#!/bin/sh

# modify the name of GUI su utility accordingly
if [ -f ~/.unichrom/UniChrom.ini ]; then  
    UCLOC=`egrep -e '^Prog(Locale|LCID)=.*' ~/.unichrom/UniChrom.ini|cut -d = -f 2`
else
    UCLOC=$LANG
fi;
echo $UCLOC
if [ -z $UCLOC ]; then UCLOC=en_US; fi;
UCOPT=--locale=$UCLOC
echo $UCOPT
UCWRAPPER=`readlink -f $0`
export UNICHROM=`dirname $UCWRAPPER`
export LIBOVERLAY_SCROLLBAR=0
if [ -f /usr/share/polkit-1/actions/com.nas.ce.policy ]; then
    pkexec env UNICHROM=$UNICHROM DISPLAY=$DISPLAY XAUTHORITY=$XAUTHORITY $UNICHROM/drv/ce $1 $UNICHROM/drv $UCOPT
else
    $UNICHROM/drv/ce $1 $UNICHROM/drv $UCOPT
fi
